List your orders
curl --request GET \
--url https://api.staging.paywire.xyz/payments/merchants/me/orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.paywire.xyz/payments/merchants/me/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.paywire.xyz/payments/merchants/me/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.staging.paywire.xyz/payments/merchants/me/orders");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantName": "<string>",
"paymentLinkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "Settled",
"network": "<string>",
"token": "<string>",
"decimals": 123,
"expectedAmount": "<string>",
"expectedAmountDisplay": 123,
"receivedAmount": "<string>",
"fiatAmount": 123,
"fiatCurrency": "<string>",
"depositAddress": "<string>",
"needsReview": true,
"createdAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"pageSize": 123,
"total": 123
}Orders
List your orders
Your gateway’s orders, newest first. The gateway is always the one the API key belongs to.
GET
/
payments
/
merchants
/
me
/
orders
List your orders
curl --request GET \
--url https://api.staging.paywire.xyz/payments/merchants/me/orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.paywire.xyz/payments/merchants/me/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.paywire.xyz/payments/merchants/me/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.staging.paywire.xyz/payments/merchants/me/orders");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantName": "<string>",
"paymentLinkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "Settled",
"network": "<string>",
"token": "<string>",
"decimals": 123,
"expectedAmount": "<string>",
"expectedAmountDisplay": 123,
"receivedAmount": "<string>",
"fiatAmount": 123,
"fiatCurrency": "<string>",
"depositAddress": "<string>",
"needsReview": true,
"createdAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"pageSize": 123,
"total": 123
}Authorizations
Your gateway's API key (w3g_...).
Query Parameters
Repeat for several, e.g. ?status=Settled&status=Overpaid.
Created at or after.
Created before (exclusive).
Order id, deposit address or transaction hash.
Required range:
x <= 100